Package: org.gradle.sonar.runner.plugins

## [Java] Class SonarRunnerPlugin

- org.gradle.sonar.runner.plugins.SonarRunnerPlugin

- All Implemented Interfaces and Traits:
    Plugin

      @Deprecated
      public class SonarRunnerPlugin
      extends Object

  A plugin for analyzing projects with the SonarQube Runner.

  When applied to a project, both the project itself and its subprojects will be analyzed (in a single run).

  Please see the “SonarQube Runner Plugin” chapter of the Gradle User Guide for more information.

  deprecated:
    The 'sonar-runner' plugin has been superseded by the official plugin from SonarQube, please see: http://docs.sonarqube.org/display/SONAR/Analyzing+with+Gradle

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `apply(Project project)`
    `void` | `computeSonarProperties(Project project, Map<String, Object> properties, Map<Project, org.gradle.listener.ActionBroadcast<SonarProperties>> sonarPropertiesActionBroadcastMap)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Method Detail

    - #### public void apply(Project project)

    - #### public void computeSonarProperties(Project project, Map<String, Object> properties, Map<Project, org.gradle.listener.ActionBroadcast<SonarProperties>> sonarPropertiesActionBroadcastMap)